| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ReliabilityQosPolicy Class Reference

Indicates the reliability of the endpoint. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for ReliabilityQosPolicy:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | ReliabilityQosPolicy ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~ReliabilityQosPolicy ()=default
| Destructor.
bool | operator== (const ReliabilityQosPolicy &b) const
void | clear () override
| Clears the QosPolicy object.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

ReliabilityQosPolicyKind | kind
| Defines the reliability kind of the endpoint.
fastdds::dds::Duration_t | max_blocking_time
| Defines the maximum period of time certain methods will be blocked.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Indicates the reliability of the endpoint.

Note
  Immutable Qos Policy

## Constructor & Destructor Documentation

## ◆ ReliabilityQosPolicy()

FASTDDS_EXPORTED_API ReliabilityQosPolicy | ( |  | ) |

inline

Constructor.

## ◆ ~ReliabilityQosPolicy()

virtual FASTDDS_EXPORTED_API ~ReliabilityQosPolicy | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ operator==()

bool operator== | ( | const ReliabilityQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ kind

ReliabilityQosPolicyKind kind

Defines the reliability kind of the endpoint.

By default, BEST_EFFORT_RELIABILITY_QOS for DataReaders and RELIABLE_RELIABILITY_QOS for DataWriters.

## ◆ max_blocking_time

fastdds::dds::Duration_t max_blocking_time

Defines the maximum period of time certain methods will be blocked.

Methods affected by this property are:

- DataWriter::write
- DataReader::takeNextData
- DataReader::readNextData
  By default, 100 ms.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp